<?php
$logged = false; // l'utente ha passato l'autenticazione?

// Recupera username e password dal form di login
$username = $_POST['username'];
$password = $_POST['password'];

// Se non compilati username e passwod allora reinderizza di nuovo al form
if(empty($username) or empty($password))
{
    header('location:loginform.php');  
    die(); 
}

$conn = mysqli_connect('localhost', 'root', '', 'test');

if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}

// La password è memorizzata nel DB in chiaro
$sql = "select * from users where username = '$username' and password = '$password'";

$result = $conn->query($sql);

if ($row = mysqli_fetch_array($result)) 
{
    $name = $row['name'];
    $surname = $row['surname'];
    $logged = true;
}
mysqli_close($conn);


if($logged) {
    print "Benvenuto $name $surname";
}
else{
     header('location:loginform.php?error=1');
}
?>
